%define CommitVersion %(echo $COMMIT_VERSION)

Name: libserverframe
Version: 1.2.2
Release: 1
Summary: network framework library
License: AGPL-3.0-only
Group: Arch/Tech
URL:  http://github.com/happyfish100/libserverframe/
Source: http://github.com/happyfish100/libserverframe/archive/V%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: libfastcommon-devel >= 1.0.72
Requires: %__cp %__mv %__chmod %__grep %__mkdir %__install %__id
Requires: libfastcommon >= 1.0.72

%description
common framework library 
commit version: %{CommitVersion}

%package devel
Summary: Development header file
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the header files of libserverframe
commit version: %{CommitVersion}


%prep
%setup -q

%build
./make.sh clean && ./make.sh

%install
rm -rf %{buildroot}
DESTDIR=$RPM_BUILD_ROOT ./make.sh install

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/lib64/libserverframe.so*

%files devel
%defattr(-,root,root,-)
/usr/include/sf/*

%changelog
* Mon Feb 26 2024 liweigang <izmirvii@gmail.com> - 1.2.2-1
- update to version 1.2.2

* Mon Mar 20 2023 Weifeng Su <suweifeng1@huawei.com> - 1.1.25-1
- Upgrade to version 1.1.25

* Mon Jan 16 2023 lihaoxiang <lihaoxiang9@huawei.com> - 1.1.23-1
- Package init
